Bug 1375744 - Review Request: gasnet - A Portable High-Performance Communication Layer for GAS Languages
Summary: Review Request: gasnet - A Portable High-Performance Communication Layer for ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-13 21:31 UTC by Christoph Junghans
Modified: 2016-11-28 06:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-28 06:18:07 UTC
Type: ---
puntogil: fedora-review+


Attachments (Terms of Use)

Description Christoph Junghans 2016-09-13 21:31:14 UTC
Spec URL: https://raw.githubusercontent.com/junghans/fedora-review/master/gasnet/gasnet.spec
SRPM URL: https://github.com/junghans/fedora-review/raw/master/gasnet/gasnet-1.26.4-1.fc24.src.rpm
Description: GASNet is a language-independent, low-level networking layer that provides network-independent, high-performance communication primitives tailored for
implementing parallel global address space SPMD languages such as UPC, Titanium, and Co-Array Fortran. 

Fedora Account System Username: junghans

Comment 1 gil cattaneo 2016-09-22 19:53:49 UTC
can you take this https://bugzilla.redhat.com/show_bug.cgi?id=1290337 for me?

Comment 2 gil cattaneo 2016-09-22 20:07:43 UTC
Build fails, seem missing a BRs:
+ popd
+ pushd mpich
+ '%{_mpich_load}'
/var/tmp/rpm-tmp.RY5bU3: line 106: fg: no job control
errore: Stato d'uscita errato da /var/tmp/rpm-tmp.RY5bU3 (%build)
    Stato d'uscita errato da /var/tmp/rpm-tmp.RY5bU3 (%build)
Child return code was: 1
EXCEPTION: [Error()]

Comment 3 gil cattaneo 2016-09-22 20:11:29 UTC
and before continue, please use for "Requires" this sintax "%{?_isa} = %{version}-%{release}"

Comment 4 Christoph Junghans 2016-09-22 21:02:47 UTC
(In reply to gil cattaneo from comment #1)
> can you take this https://bugzilla.redhat.com/show_bug.cgi?id=1290337 for me?
Java is not my expertise, but I try.

(In reply to gil cattaneo from comment #2)
> Build fails, seem missing a BRs:
> + popd
> + pushd mpich
> + '%{_mpich_load}'
> /var/tmp/rpm-tmp.RY5bU3: line 106: fg: no job control
> errore: Stato d'uscita errato da /var/tmp/rpm-tmp.RY5bU3 (%build)
>     Stato d'uscita errato da /var/tmp/rpm-tmp.RY5bU3 (%build)
> Child return code was: 1
> EXCEPTION: [Error()]
Fixed

(In reply to gil cattaneo from comment #3)
> and before continue, please use for "Requires" this sintax "%{?_isa} =
> %{version}-%{release}"
Fixed

Spec URL: https://raw.githubusercontent.com/junghans/fedora-review/master/gasnet/gasnet.spec
SRPM URL: https://github.com/junghans/fedora-review/raw/master/gasnet/gasnet-1.26.4-2.fc24.src.rpm

Comment 5 Christoph Junghans 2016-09-22 21:54:48 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=15755514

Comment 6 gil cattaneo 2016-09-22 22:26:34 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
 IGNORE

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (3 clause)", "Unknown or generated".
     370 files have unknown license. Detailed output of licensecheck in
     /home/gil/1375744-gasnet/licensecheck.txt
[?]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/valgrind(valgrind-
     devel, valgrind-openmpi, valgrind)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 317440 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[?]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`";
     echo $version)) missing?

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gasnet-
     common , gasnet-openmpi , gasnet-mpich , gasnet-devel , gasnet-doc ,
     gasnet-debuginfo
[x]: Package functions as described.
[!]: Latest version is packaged.
 Is available: gasnet-1.27.5, gasnet-1.28.0-rc1
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gasnet-1.26.4-2.fc26.i686.rpm
          gasnet-common-1.26.4-2.fc26.i686.rpm
          gasnet-openmpi-1.26.4-2.fc26.i686.rpm
          gasnet-mpich-1.26.4-2.fc26.i686.rpm
          gasnet-devel-1.26.4-2.fc26.i686.rpm
          gasnet-doc-1.26.4-2.fc26.noarch.rpm
          gasnet-debuginfo-1.26.4-2.fc26.i686.rpm
          gasnet-1.26.4-2.fc26.src.rpm
gasnet.i686: W: no-manual-page-for-binary amudprun
gasnet-common.i686: W: no-documentation
gasnet-common.i686: W: no-manual-page-for-binary gasnet_trace.pl
gasnet-common.i686: W: no-manual-page-for-binary gasnet_trace
gasnet-openmpi.i686: W: shared-lib-calls-exit /usr/lib/openmpi/lib/libammpi-1.26.4.so _exit@GLIBC_2.0
gasnet-openmpi.i686: W: no-documentation
gasnet-mpich.i686: W: shared-lib-calls-exit /usr/lib/mpich/lib/libammpi-1.26.4.so _exit@GLIBC_2.0
gasnet-mpich.i686: W: no-documentation
gasnet.src:93: W: configure-without-libdir-spec
8 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (debuginfo)
-------------------
Checking: gasnet-debuginfo-1.26.4-2.fc26.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-udp-seq-1.26.4.so /lib/librt.so.1
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-udp-seq-1.26.4.so /lib/libstdc++.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-udp-seq-1.26.4.so /lib/libm.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libamudp-1.26.4.so /lib/libm.so.6
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_VerboseErrors
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDkillmyprocess
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AM_Poll
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDMyProc
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDStartup_AMMPI_NDEBUG
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_ReplyIVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDAllGather
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so _AM_SetHandler
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_ReplyXferVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AM_SetSeg
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDSetExitCallback
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_RequestIVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDBarrier
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_ReplyVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_GetSourceId
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_RequestVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDNumProcs
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDSetThreadMode
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDExit
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDBroadcast
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_RequestXferVA
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so libammpi-1.26.4.so
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so /lib/librt.so.1
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so /lib/libstdc++.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so /lib/libm.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-smp-seq-1.26.4.so /lib/librt.so.1
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-smp-seq-1.26.4.so /lib/libstdc++.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-smp-seq-1.26.4.so /lib/libm.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet_tools-par-1.26.4.so /lib/libstdc++.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet_tools-par-1.26.4.so /lib/libm.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-udp-par-1.26.4.so /lib/librt.so.1
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-udp-par-1.26.4.so /lib/libstdc++.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-udp-par-1.26.4.so /lib/libm.so.6
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_VerboseErrors
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDkillmyprocess
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AM_Poll
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDMyProc
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDStartup_AMMPI_NDEBUG
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_ReplyIVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDAllGather
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so _AM_SetHandler
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_ReplyXferVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AM_SetSeg
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDSetExitCallback
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_RequestIVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDBarrier
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_ReplyVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_GetSourceId
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_RequestVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDNumProcs
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDSetThreadMode
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDExit
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDBroadcast
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_RequestXferVA
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so libammpi-1.26.4.so
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so /lib/librt.so.1
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so /lib/libstdc++.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so /lib/libm.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet_tools-seq-1.26.4.so /lib/libstdc++.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet_tools-seq-1.26.4.so /lib/libm.so.6
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_VerboseErrors
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDkillmyprocess
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AM_Poll
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDMyProc
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDStartup_AMMPI_NDEBUG
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_ReplyIVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDAllGather
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so _AM_SetHandler
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_ReplyXferVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AM_SetSeg
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDSetExitCallback
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_RequestIVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDBarrier
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_ReplyVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_GetSourceId
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_RequestVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDNumProcs
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDSetThreadMode
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDExit
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDBroadcast
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_RequestXferVA
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so libammpi-1.26.4.so
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so /lib/librt.so.1
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so /lib/libstdc++.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so /lib/libm.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-smp-parsync-1.26.4.so /lib/librt.so.1
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-smp-parsync-1.26.4.so /lib/libstdc++.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-smp-parsync-1.26.4.so /lib/libm.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-udp-parsync-1.26.4.so /lib/librt.so.1
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-udp-parsync-1.26.4.so /lib/libstdc++.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-udp-parsync-1.26.4.so /lib/libm.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-smp-par-1.26.4.so /lib/librt.so.1
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-smp-par-1.26.4.so /lib/libstdc++.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-smp-par-1.26.4.so /lib/libm.so.6
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Allgather
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Init_thread
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Bcast
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Buffer_attach
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Isend
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Cancel
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Initialized
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Issend
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Buffer_detach
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Barrier
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Finalize
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Request_free
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Comm_group
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Comm_create
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Bsend
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Comm_size
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Error_string
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Allreduce
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Waitany
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Wait
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Irecv
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Comm_rank
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Init
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Comm_set_errhandler
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Comm_free
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Test
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Group_free
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Testsome
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Query_thread
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libammpi-1.26.4.so libmpi.so.12
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libammpi-1.26.4.so /lib/libstdc++.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libammpi-1.26.4.so /lib/libm.so.6
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libammpi-1.26.4.so /lib/libgcc_s.so.1
gasnet-mpich.i686: W: shared-lib-calls-exit /usr/lib/mpich/lib/libammpi-1.26.4.so _exit@GLIBC_2.0
gasnet-mpich.i686: W: no-documentation
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet_tools-seq-1.26.4.so /lib/libstdc++.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet_tools-seq-1.26.4.so /lib/libm.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-smp-par-1.26.4.so /lib/librt.so.1
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-smp-par-1.26.4.so /lib/libstdc++.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-smp-par-1.26.4.so /lib/libm.so.6
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_VerboseErrors
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDkillmyprocess
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AM_Poll
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDMyProc
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDStartup_AMMPI_NDEBUG
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_ReplyIVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDAllGather
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so _AM_SetHandler
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_ReplyXferVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AM_SetSeg
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDSetExitCallback
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_RequestIVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDBarrier
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_ReplyVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_GetSourceId
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_RequestVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDNumProcs
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDSetThreadMode
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDExit
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDBroadcast
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_RequestXferVA
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so libammpi-1.26.4.so
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so /lib/librt.so.1
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so /lib/libstdc++.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so /lib/libm.so.6
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_VerboseErrors
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDkillmyprocess
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AM_Poll
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDMyProc
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDStartup_AMMPI_NDEBUG
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_ReplyIVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDAllGather
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so _AM_SetHandler
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_ReplyXferVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AM_SetSeg
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDSetExitCallback
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_RequestIVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDBarrier
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_ReplyVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_GetSourceId
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_RequestVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDNumProcs
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDSetThreadMode
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDExit
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDBroadcast
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_RequestXferVA
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so libammpi-1.26.4.so
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so /lib/librt.so.1
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so /lib/libstdc++.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so /lib/libm.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-udp-seq-1.26.4.so /lib/librt.so.1
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-udp-seq-1.26.4.so /lib/libstdc++.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-udp-seq-1.26.4.so /lib/libm.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-udp-parsync-1.26.4.so /lib/librt.so.1
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-udp-parsync-1.26.4.so /lib/libstdc++.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-udp-parsync-1.26.4.so /lib/libm.so.6
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so ompi_mpi_op_sum
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so ompi_mpi_byte
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so ompi_mpi_comm_world
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so ompi_mpi_comm_world
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so ompi_mpi_int
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so ompi_request_null
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so ompi_mpi_errors_return
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Allgather
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Init_thread
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Bcast
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Buffer_attach
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Isend
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Cancel
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Initialized
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Issend
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Buffer_detach
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Barrier
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Finalize
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Request_free
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Comm_group
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Comm_create
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Bsend
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Comm_size
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Error_string
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Allreduce
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Waitany
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Wait
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Irecv
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Comm_rank
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Init
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Comm_set_errhandler
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Comm_free
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Test
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Group_free
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Testsome
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Query_thread
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libammpi-1.26.4.so libmpi.so.12
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libammpi-1.26.4.so /lib/libstdc++.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libammpi-1.26.4.so /lib/libm.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libammpi-1.26.4.so /lib/libgcc_s.so.1
gasnet-openmpi.i686: W: shared-lib-calls-exit /usr/lib/openmpi/lib/libammpi-1.26.4.so _exit@GLIBC_2.0
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-udp-par-1.26.4.so /lib/librt.so.1
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-udp-par-1.26.4.so /lib/libstdc++.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-udp-par-1.26.4.so /lib/libm.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-smp-seq-1.26.4.so /lib/librt.so.1
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-smp-seq-1.26.4.so /lib/libstdc++.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-smp-seq-1.26.4.so /lib/libm.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libamudp-1.26.4.so /lib/libm.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-smp-parsync-1.26.4.so /lib/librt.so.1
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-smp-parsync-1.26.4.so /lib/libstdc++.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-smp-parsync-1.26.4.so /lib/libm.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet_tools-par-1.26.4.so /lib/libstdc++.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet_tools-par-1.26.4.so /lib/libm.so.6
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_VerboseErrors
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDkillmyprocess
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AM_Poll
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDMyProc
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDStartup_AMMPI_NDEBUG
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_ReplyIVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDAllGather
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so _AM_SetHandler
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_ReplyXferVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AM_SetSeg
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDSetExitCallback
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_RequestIVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDBarrier
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_ReplyVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_GetSourceId
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_RequestVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDNumProcs
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDSetThreadMode
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDExit
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDBroadcast
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_RequestXferVA
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so libammpi-1.26.4.so
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so /lib/librt.so.1
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so /lib/libstdc++.so.6
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so /lib/libm.so.6
gasnet-openmpi.i686: W: no-documentation
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet-smp-par-1.26.4.so /lib/libstdc++.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet-smp-par-1.26.4.so /lib/libm.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet-smp-seq-1.26.4.so /lib/libstdc++.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet-smp-seq-1.26.4.so /lib/libm.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet-udp-seq-1.26.4.so /lib/libstdc++.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet-udp-seq-1.26.4.so /lib/libm.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet-udp-parsync-1.26.4.so /lib/libstdc++.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet-udp-parsync-1.26.4.so /lib/libm.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet_tools-par-1.26.4.so /lib/libstdc++.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet_tools-par-1.26.4.so /lib/libm.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet-udp-par-1.26.4.so /lib/libstdc++.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet-udp-par-1.26.4.so /lib/libm.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet_tools-seq-1.26.4.so /lib/libstdc++.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet_tools-seq-1.26.4.so /lib/libm.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libamudp-1.26.4.so /lib/libm.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet-smp-parsync-1.26.4.so /lib/libstdc++.so.6
gasnet.i686: W: unused-direct-shlib-dependency /usr/lib/libgasnet-smp-parsync-1.26.4.so /lib/libm.so.6
gasnet.i686: W: no-manual-page-for-binary amudprun
gasnet-common.i686: W: no-documentation
gasnet-common.i686: W: no-manual-page-for-binary gasnet_trace.pl
gasnet-common.i686: W: no-manual-page-for-binary gasnet_trace
7 packages and 0 specfiles checked; 0 errors, 294 warnings.



Requires
--------
gasnet-devel (rpmlib, GLIBC filtered):
    gasnet(x86-32)
    mpich-devel
    openmpi-devel

gasnet-mpich (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/ldconfig
    /usr/bin/perl
    gasnet-common(x86-32)
    ld-linux.so.2
    libammpi-1.26.4.so(mpich-i386)
    libamudp-1.26.4.so(mpich-i386)
    libc.so.6
    libgasnet-smp-par-1.26.4.so(mpich-i386)
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libmpi.so.12(mpich-i386)
    libpthread.so.0
    librt.so.1
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.8)
    libstdc++.so.6(CXXABI_1.3.9)
    rtld(GNU_HASH)

gasnet-doc (rpmlib, GLIBC filtered):

gasnet-openmpi (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/ldconfig
    /usr/bin/perl
    gasnet-common(x86-32)
    ld-linux.so.2
    libammpi-1.26.4.so(openmpi-i386)
    libamudp-1.26.4.so(openmpi-i386)
    libc.so.6
    libgasnet-smp-par-1.26.4.so(openmpi-i386)
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libmpi.so.12(openmpi-i386)
    libpthread.so.0
    librt.so.1
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.8)
    libstdc++.so.6(CXXABI_1.3.9)
    rtld(GNU_HASH)

gasnet-debuginfo (rpmlib, GLIBC filtered):

gasnet (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    gasnet-common(x86-32)
    ld-linux.so.2
    libamudp-1.26.4.so
    libc.so.6
    libgasnet-smp-par-1.26.4.so
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libpthread.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.8)
    libstdc++.so.6(CXXABI_1.3.9)
    rtld(GNU_HASH)

gasnet-common (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl



Provides
--------
gasnet-devel:
    gasnet-devel
    gasnet-devel(x86-32)

gasnet-mpich:
    gasnet-mpich
    gasnet-mpich(x86-32)
    libammpi-1.26.4.so(mpich-i386)
    libamudp-1.26.4.so(mpich-i386)
    libgasnet-mpi-par-1.26.4.so(mpich-i386)
    libgasnet-mpi-parsync-1.26.4.so(mpich-i386)
    libgasnet-mpi-seq-1.26.4.so(mpich-i386)
    libgasnet-smp-par-1.26.4.so(mpich-i386)
    libgasnet-smp-parsync-1.26.4.so(mpich-i386)
    libgasnet-smp-seq-1.26.4.so(mpich-i386)
    libgasnet-udp-par-1.26.4.so(mpich-i386)
    libgasnet-udp-parsync-1.26.4.so(mpich-i386)
    libgasnet-udp-seq-1.26.4.so(mpich-i386)
    libgasnet_tools-par-1.26.4.so(mpich-i386)
    libgasnet_tools-seq-1.26.4.so(mpich-i386)

gasnet-doc:
    gasnet-doc

gasnet-openmpi:
    gasnet-openmpi
    gasnet-openmpi(x86-32)
    libammpi-1.26.4.so(openmpi-i386)
    libamudp-1.26.4.so(openmpi-i386)
    libgasnet-mpi-par-1.26.4.so(openmpi-i386)
    libgasnet-mpi-parsync-1.26.4.so(openmpi-i386)
    libgasnet-mpi-seq-1.26.4.so(openmpi-i386)
    libgasnet-smp-par-1.26.4.so(openmpi-i386)
    libgasnet-smp-parsync-1.26.4.so(openmpi-i386)
    libgasnet-smp-seq-1.26.4.so(openmpi-i386)
    libgasnet-udp-par-1.26.4.so(openmpi-i386)
    libgasnet-udp-parsync-1.26.4.so(openmpi-i386)
    libgasnet-udp-seq-1.26.4.so(openmpi-i386)
    libgasnet_tools-par-1.26.4.so(openmpi-i386)
    libgasnet_tools-seq-1.26.4.so(openmpi-i386)

gasnet-debuginfo:
    gasnet-debuginfo
    gasnet-debuginfo(x86-32)

gasnet:
    gasnet
    gasnet(x86-32)
    libamudp-1.26.4.so
    libgasnet-smp-par-1.26.4.so
    libgasnet-smp-parsync-1.26.4.so
    libgasnet-smp-seq-1.26.4.so
    libgasnet-udp-par-1.26.4.so
    libgasnet-udp-parsync-1.26.4.so
    libgasnet-udp-seq-1.26.4.so
    libgasnet_tools-par-1.26.4.so
    libgasnet_tools-seq-1.26.4.so

gasnet-common:
    gasnet-common
    gasnet-common(x86-32)



Unversioned so-files
--------------------
gasnet: /usr/lib/libamudp-1.26.4.so
gasnet: /usr/lib/libgasnet-smp-par-1.26.4.so
gasnet: /usr/lib/libgasnet-smp-parsync-1.26.4.so
gasnet: /usr/lib/libgasnet-smp-seq-1.26.4.so
gasnet: /usr/lib/libgasnet-udp-par-1.26.4.so
gasnet: /usr/lib/libgasnet-udp-parsync-1.26.4.so
gasnet: /usr/lib/libgasnet-udp-seq-1.26.4.so
gasnet: /usr/lib/libgasnet_tools-par-1.26.4.so
gasnet: /usr/lib/libgasnet_tools-seq-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libammpi-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libamudp-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-smp-par-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-smp-parsync-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-smp-seq-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-udp-par-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-udp-parsync-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-udp-seq-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet_tools-par-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet_tools-seq-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libammpi-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libamudp-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-smp-par-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-smp-parsync-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-smp-seq-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-udp-par-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-udp-parsync-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-udp-seq-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet_tools-par-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet_tools-seq-1.26.4.so

Source checksums
----------------
https://bitbucket.org/berkeleylab/gasnet/downloads/GASNet-1.26.4.tar.gz :
  CHECKSUM(SHA256) this package     : a2c8a9c306ade58f4eba641f1c6e310a31fc722812dde1154fcc01efab4173d3
  CHECKSUM(SHA256) upstream package : a2c8a9c306ade58f4eba641f1c6e310a31fc722812dde1154fcc01efab4173d3


AutoTools: Obsoleted m4s found
------------------------------
  AM_CONFIG_HEADER found in: GASNet-1.26.4/configure.in:55


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1375744 --plugins C/C++ -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++, Perl
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 gil cattaneo 2016-09-23 10:23:17 UTC
Issues:

[?]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`";
     echo $version)) missing?
for gasnet_trace.pl

unused-direct-shlib-dependency and undefined-non-weak-symbol should be fixes replacing "-shared" with "-Wl,--as-needed"

NON blocking issues:
[!]: Latest version is packaged.
 Is available: gasnet-1.27.5, gasnet-1.28.0-rc1

Comment 8 Christoph Junghans 2016-09-26 18:07:58 UTC
(In reply to gil cattaneo from comment #7)
> Issues:
> 
> [?]: Package contains the mandatory BuildRequires and Requires:.
>      Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`";
>      echo $version)) missing?
> for gasnet_trace.pl
Fixed.

> 
> unused-direct-shlib-dependency and undefined-non-weak-symbol should be fixes
> replacing "-shared" with "-Wl,--as-needed"
Added, but there most of the errors are due to the fact MPI_LIB is not in LD_LIBRARY_PATH, e.g. libgasnet-mpi* is linked against libammpi and libammpi against libmpi, but all of them live in MPI_LIB and hence cannot be found by rpmlint.

> 
> NON blocking issues:
> [!]: Latest version is packaged.
>  Is available: gasnet-1.27.5, gasnet-1.28.0-rc1
They haven't officially released it yet (see https://gasnet.lbl.gov/) so let's stick to 1.26.4 for now.

Spec URL: https://raw.githubusercontent.com/junghans/fedora-review/master/gasnet/gasnet.spec
SRPM URL: https://github.com/junghans/fedora-review/raw/master/gasnet/gasnet-1.26.4-3.fc24.src.rpm

Comment 9 gil cattaneo 2016-09-26 18:51:39 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (3 clause)", "Unknown or generated".
     370 files have unknown license. Detailed output of licensecheck in
     /home/gil/1375744-gasnet/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/valgrind(valgrind-
     devel, valgrind-openmpi, valgrind)
[?]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 317440 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`";
     echo $version)) missing?

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gasnet-
     common , gasnet-openmpi , gasnet-mpich , gasnet-devel , gasnet-doc ,
     gasnet-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[?]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gasnet-1.26.4-3.fc26.i686.rpm
          gasnet-common-1.26.4-3.fc26.i686.rpm
          gasnet-openmpi-1.26.4-3.fc26.i686.rpm
          gasnet-mpich-1.26.4-3.fc26.i686.rpm
          gasnet-devel-1.26.4-3.fc26.i686.rpm
          gasnet-doc-1.26.4-3.fc26.noarch.rpm
          gasnet-debuginfo-1.26.4-3.fc26.i686.rpm
          gasnet-1.26.4-3.fc26.src.rpm
gasnet.i686: W: no-manual-page-for-binary amudprun
gasnet-common.i686: W: no-documentation
gasnet-common.i686: W: no-manual-page-for-binary gasnet_trace
gasnet-common.i686: W: no-manual-page-for-binary gasnet_trace.pl
gasnet-openmpi.i686: W: shared-lib-calls-exit /usr/lib/openmpi/lib/libammpi-1.26.4.so _exit@GLIBC_2.0
gasnet-openmpi.i686: W: no-documentation
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-smp-parsync-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-smp-parsync-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libammpi-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libammpi-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-udp-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-udp-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet_tools-seq-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet_tools-seq-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-udp-seq-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-udp-seq-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libamudp-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libamudp-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-smp-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-smp-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet_tools-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet_tools-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-udp-parsync-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-udp-parsync-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-smp-seq-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-smp-seq-1.26.4.so
gasnet-mpich.i686: W: shared-lib-calls-exit /usr/lib/mpich/lib/libammpi-1.26.4.so _exit@GLIBC_2.0
gasnet-mpich.i686: W: no-documentation
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-udp-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-udp-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-smp-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-smp-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libammpi-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libammpi-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-udp-seq-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-udp-seq-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libamudp-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libamudp-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-smp-seq-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-smp-seq-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet_tools-seq-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet_tools-seq-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-udp-parsync-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-udp-parsync-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet_tools-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet_tools-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-smp-parsync-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-smp-parsync-1.26.4.so
gasnet.src:93: W: configure-without-libdir-spec
8 packages and 0 specfiles checked; 52 errors, 9 warnings.




Rpmlint (debuginfo)
-------------------
Checking: gasnet-debuginfo-1.26.4-3.fc26.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_VerboseErrors
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDkillmyprocess
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDBroadcast
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_RequestXferVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_ReplyIVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_ReplyXferVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDBarrier
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so _AM_SetHandler
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_RequestVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AM_Poll
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDStartup_AMMPI_NDEBUG
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDSetExitCallback
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDNumProcs
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDSetThreadMode
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDExit
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_RequestIVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_GetSourceId
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AM_SetSeg
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_ReplyVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDAllGather
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDMyProc
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so libammpi-1.26.4.so
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_VerboseErrors
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDkillmyprocess
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDBroadcast
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_RequestXferVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_ReplyIVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_ReplyXferVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDBarrier
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so _AM_SetHandler
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_RequestVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AM_Poll
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDStartup_AMMPI_NDEBUG
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDSetExitCallback
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDNumProcs
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDSetThreadMode
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDExit
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_RequestIVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_GetSourceId
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AM_SetSeg
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_ReplyVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDAllGather
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDMyProc
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so libammpi-1.26.4.so
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_VerboseErrors
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDkillmyprocess
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDBroadcast
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_RequestXferVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_ReplyIVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_ReplyXferVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDBarrier
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so _AM_SetHandler
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_RequestVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AM_Poll
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDStartup_AMMPI_NDEBUG
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDSetExitCallback
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDNumProcs
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDSetThreadMode
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDExit
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_RequestIVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_GetSourceId
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AM_SetSeg
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_ReplyVA
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDAllGather
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDMyProc
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so libammpi-1.26.4.so
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Test
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Waitany
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Testsome
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Comm_group
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Buffer_detach
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Buffer_attach
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Query_thread
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Comm_rank
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Irecv
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Isend
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Wait
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Comm_set_errhandler
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Allgather
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Initialized
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Init_thread
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Init
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Issend
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Cancel
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Comm_free
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Group_free
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Comm_create
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Comm_size
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Request_free
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Error_string
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Bsend
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Bcast
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Allreduce
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Finalize
gasnet-mpich.i686: W: undefined-non-weak-symbol /usr/lib/mpich/lib/libammpi-1.26.4.so MPI_Barrier
gasnet-mpich.i686: W: unused-direct-shlib-dependency /usr/lib/mpich/lib/libammpi-1.26.4.so libmpi.so.12
gasnet-mpich.i686: W: shared-lib-calls-exit /usr/lib/mpich/lib/libammpi-1.26.4.so _exit@GLIBC_2.0
gasnet-mpich.i686: W: no-documentation
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-smp-seq-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-smp-seq-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet_tools-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet_tools-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-smp-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-smp-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libammpi-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libammpi-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-smp-parsync-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-smp-parsync-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-udp-seq-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-udp-seq-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-udp-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-udp-par-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libamudp-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libamudp-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet-udp-parsync-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet-udp-parsync-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postin /usr/lib/mpich/lib/libgasnet_tools-seq-1.26.4.so
gasnet-mpich.i686: E: library-without-ldconfig-postun /usr/lib/mpich/lib/libgasnet_tools-seq-1.26.4.so
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so ompi_mpi_comm_world
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so ompi_mpi_comm_world
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so ompi_mpi_op_sum
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so ompi_mpi_byte
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so ompi_mpi_errors_return
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so ompi_request_null
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so ompi_mpi_int
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Test
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Waitany
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Testsome
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Comm_group
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Buffer_detach
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Buffer_attach
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Query_thread
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Comm_rank
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Irecv
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Isend
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Wait
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Comm_set_errhandler
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Allgather
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Initialized
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Init_thread
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Init
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Issend
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Cancel
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Comm_free
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Group_free
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Comm_create
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Comm_size
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Request_free
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Error_string
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Bsend
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Bcast
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Allreduce
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Finalize
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libammpi-1.26.4.so MPI_Barrier
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libammpi-1.26.4.so libmpi.so.12
gasnet-openmpi.i686: W: shared-lib-calls-exit /usr/lib/openmpi/lib/libammpi-1.26.4.so _exit@GLIBC_2.0
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_VerboseErrors
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDkillmyprocess
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDBroadcast
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_RequestXferVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_ReplyIVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_ReplyXferVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDBarrier
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so _AM_SetHandler
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_RequestVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AM_Poll
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDStartup_AMMPI_NDEBUG
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDSetExitCallback
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDNumProcs
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDSetThreadMode
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDExit
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_RequestIVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_GetSourceId
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AM_SetSeg
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_ReplyVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDAllGather
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so AMMPI_SPMDMyProc
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so libammpi-1.26.4.so
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_VerboseErrors
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDkillmyprocess
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDBroadcast
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_RequestXferVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_ReplyIVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_ReplyXferVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDBarrier
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so _AM_SetHandler
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_RequestVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AM_Poll
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDStartup_AMMPI_NDEBUG
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDSetExitCallback
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDNumProcs
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDSetThreadMode
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDExit
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_RequestIVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_GetSourceId
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AM_SetSeg
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_ReplyVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDAllGather
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so AMMPI_SPMDMyProc
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so libammpi-1.26.4.so
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_VerboseErrors
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDkillmyprocess
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDBroadcast
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_RequestXferVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_ReplyIVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_ReplyXferVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDBarrier
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so _AM_SetHandler
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_RequestVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AM_Poll
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDStartup_AMMPI_NDEBUG
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDSetExitCallback
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDNumProcs
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDSetThreadMode
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDExit
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_RequestIVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_GetSourceId
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AM_SetSeg
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_ReplyVA
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDAllGather
gasnet-openmpi.i686: W: undefined-non-weak-symbol /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so AMMPI_SPMDMyProc
gasnet-openmpi.i686: W: unused-direct-shlib-dependency /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so libammpi-1.26.4.so
gasnet-openmpi.i686: W: no-documentation
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-udp-seq-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-udp-seq-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-smp-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-smp-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libammpi-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libammpi-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-smp-parsync-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-smp-parsync-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet_tools-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet_tools-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libamudp-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libamudp-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet_tools-seq-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet_tools-seq-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-udp-parsync-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-udp-parsync-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-udp-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-udp-par-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postin /usr/lib/openmpi/lib/libgasnet-smp-seq-1.26.4.so
gasnet-openmpi.i686: E: library-without-ldconfig-postun /usr/lib/openmpi/lib/libgasnet-smp-seq-1.26.4.so
gasnet.i686: W: no-manual-page-for-binary amudprun
gasnet-common.i686: W: no-documentation
gasnet-common.i686: W: no-manual-page-for-binary gasnet_trace
gasnet-common.i686: W: no-manual-page-for-binary gasnet_trace.pl
7 packages and 0 specfiles checked; 52 errors, 207 warnings.



Requires
--------
gasnet-devel (rpmlib, GLIBC filtered):
    gasnet(x86-32)
    mpich-devel
    openmpi-devel

gasnet-mpich (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl
    gasnet-common(x86-32)
    ld-linux.so.2
    libammpi-1.26.4.so(mpich-i386)
    libamudp-1.26.4.so(mpich-i386)
    libc.so.6
    libgasnet-smp-par-1.26.4.so(mpich-i386)
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libmpi.so.12(mpich-i386)
    libpthread.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.8)
    libstdc++.so.6(CXXABI_1.3.9)
    rtld(GNU_HASH)

gasnet-doc (rpmlib, GLIBC filtered):

gasnet-openmpi (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl
    gasnet-common(x86-32)
    ld-linux.so.2
    libammpi-1.26.4.so(openmpi-i386)
    libamudp-1.26.4.so(openmpi-i386)
    libc.so.6
    libgasnet-smp-par-1.26.4.so(openmpi-i386)
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libmpi.so.12(openmpi-i386)
    libpthread.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.8)
    libstdc++.so.6(CXXABI_1.3.9)
    rtld(GNU_HASH)

gasnet-debuginfo (rpmlib, GLIBC filtered):

gasnet (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    gasnet-common(x86-32)
    ld-linux.so.2
    libamudp-1.26.4.so
    libc.so.6
    libgasnet-smp-par-1.26.4.so
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libpthread.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.8)
    libstdc++.so.6(CXXABI_1.3.9)
    rtld(GNU_HASH)

gasnet-common (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl
    perl(:MODULE_COMPAT_5.24.0)



Provides
--------
gasnet-devel:
    gasnet-devel
    gasnet-devel(x86-32)

gasnet-mpich:
    gasnet-mpich
    gasnet-mpich(x86-32)
    libammpi-1.26.4.so(mpich-i386)
    libamudp-1.26.4.so(mpich-i386)
    libgasnet-mpi-par-1.26.4.so(mpich-i386)
    libgasnet-mpi-parsync-1.26.4.so(mpich-i386)
    libgasnet-mpi-seq-1.26.4.so(mpich-i386)
    libgasnet-smp-par-1.26.4.so(mpich-i386)
    libgasnet-smp-parsync-1.26.4.so(mpich-i386)
    libgasnet-smp-seq-1.26.4.so(mpich-i386)
    libgasnet-udp-par-1.26.4.so(mpich-i386)
    libgasnet-udp-parsync-1.26.4.so(mpich-i386)
    libgasnet-udp-seq-1.26.4.so(mpich-i386)
    libgasnet_tools-par-1.26.4.so(mpich-i386)
    libgasnet_tools-seq-1.26.4.so(mpich-i386)

gasnet-doc:
    gasnet-doc

gasnet-openmpi:
    gasnet-openmpi
    gasnet-openmpi(x86-32)
    libammpi-1.26.4.so(openmpi-i386)
    libamudp-1.26.4.so(openmpi-i386)
    libgasnet-mpi-par-1.26.4.so(openmpi-i386)
    libgasnet-mpi-parsync-1.26.4.so(openmpi-i386)
    libgasnet-mpi-seq-1.26.4.so(openmpi-i386)
    libgasnet-smp-par-1.26.4.so(openmpi-i386)
    libgasnet-smp-parsync-1.26.4.so(openmpi-i386)
    libgasnet-smp-seq-1.26.4.so(openmpi-i386)
    libgasnet-udp-par-1.26.4.so(openmpi-i386)
    libgasnet-udp-parsync-1.26.4.so(openmpi-i386)
    libgasnet-udp-seq-1.26.4.so(openmpi-i386)
    libgasnet_tools-par-1.26.4.so(openmpi-i386)
    libgasnet_tools-seq-1.26.4.so(openmpi-i386)

gasnet-debuginfo:
    gasnet-debuginfo
    gasnet-debuginfo(x86-32)

gasnet:
    gasnet
    gasnet(x86-32)
    libamudp-1.26.4.so
    libgasnet-smp-par-1.26.4.so
    libgasnet-smp-parsync-1.26.4.so
    libgasnet-smp-seq-1.26.4.so
    libgasnet-udp-par-1.26.4.so
    libgasnet-udp-parsync-1.26.4.so
    libgasnet-udp-seq-1.26.4.so
    libgasnet_tools-par-1.26.4.so
    libgasnet_tools-seq-1.26.4.so

gasnet-common:
    gasnet-common
    gasnet-common(x86-32)



Unversioned so-files
--------------------
gasnet: /usr/lib/libamudp-1.26.4.so
gasnet: /usr/lib/libgasnet-smp-par-1.26.4.so
gasnet: /usr/lib/libgasnet-smp-parsync-1.26.4.so
gasnet: /usr/lib/libgasnet-smp-seq-1.26.4.so
gasnet: /usr/lib/libgasnet-udp-par-1.26.4.so
gasnet: /usr/lib/libgasnet-udp-parsync-1.26.4.so
gasnet: /usr/lib/libgasnet-udp-seq-1.26.4.so
gasnet: /usr/lib/libgasnet_tools-par-1.26.4.so
gasnet: /usr/lib/libgasnet_tools-seq-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libammpi-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libamudp-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-mpi-par-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-mpi-parsync-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-mpi-seq-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-smp-par-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-smp-parsync-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-smp-seq-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-udp-par-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-udp-parsync-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet-udp-seq-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet_tools-par-1.26.4.so
gasnet-openmpi: /usr/lib/openmpi/lib/libgasnet_tools-seq-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libammpi-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libamudp-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-mpi-par-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-mpi-parsync-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-mpi-seq-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-smp-par-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-smp-parsync-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-smp-seq-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-udp-par-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-udp-parsync-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet-udp-seq-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet_tools-par-1.26.4.so
gasnet-mpich: /usr/lib/mpich/lib/libgasnet_tools-seq-1.26.4.so

Source checksums
----------------
https://bitbucket.org/berkeleylab/gasnet/downloads/GASNet-1.26.4.tar.gz :
  CHECKSUM(SHA256) this package     : a2c8a9c306ade58f4eba641f1c6e310a31fc722812dde1154fcc01efab4173d3
  CHECKSUM(SHA256) upstream package : a2c8a9c306ade58f4eba641f1c6e310a31fc722812dde1154fcc01efab4173d3


AutoTools: Obsoleted m4s found
------------------------------
  AM_CONFIG_HEADER found in: GASNet-1.26.4/configure.in:55


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1375744 --plugins C/C++ -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++, Perl
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 10 Gwyn Ciesla 2016-09-26 21:31:29 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/gasnet

Comment 11 Fedora Update System 2016-09-27 20:21:48 UTC
gasnet-1.26.4-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2927fa727d

Comment 12 Fedora Update System 2016-09-28 05:56:47 UTC
gasnet-1.26.4-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c3ddd3e289

Comment 13 Fedora Update System 2016-10-05 01:56:06 UTC
gasnet-1.26.4-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2927fa727d

Comment 14 Fedora Update System 2016-10-05 02:26:51 UTC
gasnet-1.26.4-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c3ddd3e289

Comment 15 Fedora Update System 2016-10-09 02:49:08 UTC
gasnet-1.26.4-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-10-12 23:23:37 UTC
gasnet-1.26.4-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Orion Poplawski 2016-11-08 14:02:06 UTC
Could you build this for EPEL7?  It mostly builds fine - though I see static libs installed when I build locally.

Comment 18 Orion Poplawski 2016-11-08 14:42:06 UTC
scratch build - https://koji.fedoraproject.org/koji/taskinfo?taskID=16353531

Comment 19 Christoph Junghans 2016-11-08 15:53:43 UTC
(In reply to Orion Poplawski from comment #17)
> Could you build this for EPEL7?  It mostly builds fine - though I see static
> libs installed when I build locally.
I have no access to the epel7 branch.

This is the error:
+ g++ -shared -Wl,-soname=libammpi-1.28.0.so -Wl,--as-needed -Wl,-z,defs -Wl,-z,relro -Wl,--rpath-link=. -Wl,--whole-archive /builddir/build/BUILDROOT/gasnet-1.28.0-1.el7.ppc64le//usr/lib64/mpich/lib/libammpi.a -Wl,--no-whole-archive -L//usr/lib64/mpich/lib -lmpi -o /builddir/build/BUILDROOT/gasnet-1.28.0-1.el7.ppc64le//usr/lib64/mpich/lib/libammpi-1.28.0.so
/usr/bin/ld: cannot find -lmpi
collect2: error: ld returned 1 exit status

No idea why that would fail, as MPI_LIB=/usr/lib64/mpich/lib, is there not libmpi in /usr/lib64/mpich/lib on ppc64le?

Comment 20 Fedora Update System 2016-11-08 18:52:59 UTC
gasnet-1.28.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b706f067d3

Comment 21 Orion Poplawski 2016-11-08 19:01:29 UTC
Thanks!

Comment 22 Fedora Update System 2016-11-10 04:20:23 UTC
gasnet-1.28.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b706f067d3

Comment 23 Fedora Update System 2016-11-28 06:18:07 UTC
gasnet-1.28.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.